Bug 1202370 - EAP module "/org/infinispan/client/hotrod/jdg-6.4" is different if installed with library or HR-client
Summary: EAP module "/org/infinispan/client/hotrod/jdg-6.4" is different if installed ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: EAP modules
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR1
: 6.4.1
Assignee: Adrian Nistor
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-16 13:40 UTC by wfink
Modified: 2015-04-02 12:13 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1205568 (view as bug list)
Environment:
Last Closed: 2015-04-02 12:13:57 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-5304 0 Major Resolved WildFly module "/org/infinispan/client/hotrod/jdg-6.4" is different if installed with library or HR-client 2015-05-04 12:56:50 UTC

Description wfink 2015-03-16 13:40:20 UTC
Description of problem:
the module "modules/org/infinispan/client/hotrod/jdg-6.4/" contains the same jar but different dependencies.

This will be overwritten if both EAP modules (jboss-datagrid-6.4.0-eap-modules-library | jboss-datagrid-6.4.0-eap-modules-remote-java-client) are installed.

This is error prone as the dependencies depend on the installation order and and also it is not possible to use both modules at the same time if there are different application deployed which use both modes.

Comment 2 Adrian Nistor 2015-03-25 08:47:11 UTC
PR for jdg-6.4.x available here: https://github.com/infinispan/jdg/pull/585


Note You need to log in before you can comment on or make changes to this bug.